Subject: Disarchive package

From: Timothy Sample <[email-masked]>
Date: Tue, 09 Mar 2021 14:37:31 -0500

Hi Guix,

These patches add Disarchive and one of its dependencies,
Guile-QuickCheck.

They are pretty straight forward, but I am a little shaky about using
“guile-3.0-latest”, so I would appreciate another pair of eyes.  The
reason it’s there is because Disarchive opportunistically uses the SWH
code from Guix if it is available.  If I use plain “guile-3.0”, I get
“incompatible bytecode” errors when restoring archives from SWH.

TIA!

-- Tim